package com.docus.server.archivefile.service;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.TaskConfig;

import java.util.Date;
import java.util.List;

public interface ITaskConfigService {

    void updateAllPointerDate(String id, Date date);

    void updateIncPointerDate(String id, Date date);

    TaskConfig getTaskConfigById(String taskConfigId);

    boolean updateTaskConfig(TaskConfig taskConfig);

    PageResult<TaskConfig> search(SearchRequest searchRequest);

    int deleteTaskConfig(List<Long> ids);

    void searchRetry(SearchRequest searchRequest) throws Exception;

    void findRetry(List<Long> ids) throws Exception;
}
